"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LazyCodeInput = LazyCodeInput;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const CodeInput = (0, react_1.lazy)(() => Promise.resolve().then(() => require('./CodeInput')).then(v => ({ default: v.CodeInput })));
function LazyCodeInput({ lazyFallback, ...props }) {
    return ((0, jsx_runtime_1.jsx)(react_1.Suspense, { fallback: lazyFallback, children: (0, jsx_runtime_1.jsx)(CodeInput, { ...props }) }));
}
//# sourceMappingURL=LazyCodeInput.js.map